Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1941971 - gnome-shell crashes when display blanking is activated
Summary: gnome-shell crashes when display blanking is activated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mutter
Version: 34
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Jonas Ådahl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F34FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2021-03-23 10:24 UTC by pzeppegno
Modified: 2021-04-01 00:52 UTC (History)
9 users (show)

Fixed In Version: mutter-40.0-4.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-01 00:52:14 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
journalctl -b _PID=1380 > for-jonas.txt (deleted)
2021-03-23 11:48 UTC, pzeppegno
no flags Details
journalctl -b -1 _PID=2005 > for-jonas2.txt (deleted)
2021-03-23 12:20 UTC, pzeppegno
no flags Details
journalctl -kb > for-jonas3.txt (deleted)
2021-03-24 20:42 UTC, pzeppegno
no flags Details
journalctl -kb > for-jonas4.txt (deleted)
2021-03-25 19:45 UTC, pzeppegno
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME mutter merge_requests 1803 0 None None None 2021-03-26 09:09:35 UTC

Description pzeppegno 2021-03-23 10:24:48 UTC
Description of problem:
even with the latest gnome-shell updates from this morning when my display is power suspended, gnome-shell crashes

Version-Release number of selected component (if applicable):
gnome-shell-40.0-1.fc34.x86_64

How reproducible:
always

Steps to Reproduce:
1. configure "Blank Screen" in Settings to 1 minute
2. remain inactive for 1 minute until blanking kicks in
3. gnome-shell crashes and you are back to gdm greeting screen

Actual results:
I get the login screen

Expected results:
I get the password prompt and I can resume my session

Additional info:
I would like to add the retrace, but is the retrace working at all? It keeps giving me errors.

Comment 1 Jonas Ådahl 2021-03-23 10:31:36 UTC
What version of gjs do you have?

Comment 2 Jonas Ådahl 2021-03-23 10:33:09 UTC
> I would like to add the retrace, but is the retrace working at all? It keeps giving me errors.

You can upload a backtrace manually by first installing the debug symbols for mutter, gnome-shell, gjs and glib2, then installing gdb, then using 'coredumpctr -r gdb gnome-shell' then in the gdb prompt run "backtrace full".

Comment 3 pzeppegno 2021-03-23 10:34:49 UTC
I'm on 34 beta and just did a dnf upgrade --refresh this morning: gjs-1.68.0-1.fc34.x86_64

Comment 4 pzeppegno 2021-03-23 10:50:38 UTC
(gdb) backtrace full
#0  0x00007f48a59ef292 in raise () from /lib64/libc.so.6
No symbol table info available.
#1  0x0000557396e41282 in dump_gjs_stack_on_signal_handler (signo=6) at ../src/main.c:349
        sa = {__sigaction_handler = {sa_handler = 0x557396e410f0 <dump_gjs_stack_alarm_sigaction>, 
            sa_sigaction = 0x557396e410f0 <dump_gjs_stack_alarm_sigaction>}, sa_mask = {__val = {0 <repeats 16 times>}}, 
          sa_flags = 0, sa_restorer = 0x0}
        i = 65
#2  <signal handler called>
No symbol table info available.
#3  0x00007f48a59ef292 in raise () from /lib64/libc.so.6
No symbol table info available.
#4  0x00007f48a59d88a4 in abort () from /lib64/libc.so.6
No symbol table info available.
#5  0x00007f48a6807ccc in g_assertion_message (domain=<optimized out>, file=<optimized out>, line=<optimized out>, 
    func=<optimized out>, message=<optimized out>) at ../glib/gtestutils.c:3052
        lstr = "204\000\000\000\000\000'\000\000\000\000\000\000\000\200>\375\230sU\000\000\067օ\246H\177\000"
        s = <optimized out>
#6  0x00007f48a686314f in g_assertion_message_expr (domain=domain@entry=0x7f48a5d05099 "mutter", 
    file=file@entry=0x7f48a5d23288 "../src/backends/native/meta-onscreen-native.c", line=line@entry=204, 
    func=func@entry=0x7f48a5d24520 <__func__.12> "meta_onscreen_native_notify_frame_complete", 
    expr=expr@entry=0x7f48a5d23258 "!cogl_onscreen_peek_head_frame_info (onscreen)") at ../glib/gtestutils.c:3078
        s = 0x55739b6a36c0 "assertion failed: (!cogl_onscreen_peek_head_frame_info (onscreen))"
#7  0x00007f48a5cd6275 in meta_onscreen_native_notify_frame_complete (onscreen=<optimized out>)
    at ../src/backends/native/meta-onscreen-native.c:204
        info = <optimized out>
        __func__ = {<optimized out> <repeats 43 times>}
        _g_boolean_var_ = <optimized out>
#8  meta_onscreen_native_notify_frame_complete (onscreen=0x557398ab62b0)
    at ../src/backends/native/meta-onscreen-native.c:198
        info = 0x55739933d590
        __func__ = "meta_onscreen_native_notify_frame_complete"
#9  0x00007f48a5cdcdf5 in notify_view_crtc_presented (view=<optimized out>, kms_crtc=0x55739861d140, time_us=135470818, 
    flags=(COGL_FRAME_INFO_FLAG_HW_CLOCK | COGL_FRAME_INFO_FLAG_VSYNC), sequence=15179)
    at ../src/backends/native/meta-onscreen-native.c:233
        stage_view = <optimized out>
        framebuffer = <optimized out>
        onscreen = 0x557398ab62b0
        onscreen_native = 0x557398ab62b0
        renderer_native = 0x7f48880053c0
        frame_info = 0x55739933d590
--Type <RET> for more, q to quit, c to continue without paging--
        crtc = <optimized out>
        renderer_gpu_data = <optimized out>
        __func__ = "notify_view_crtc_presented"
#10 0x00007f48a5cd51a1 in meta_kms_page_flip_data_flipped (kms=<optimized out>, user_data=0x557399474790)
    at ../src/backends/native/meta-kms-page-flip.c:163
        closure = <optimized out>
        page_flip_data = 0x557399474790
        l = 0x5573998b0240
        __func__ = "meta_kms_page_flip_data_flipped"
#11 0x00007f48a5cd5316 in flush_callbacks (kms=0x5573986194b0) at ../src/backends/native/meta-kms.c:354
        callback_data = 0x55739b4d2460
        l = 0x7f481006b280
        callback_count = <optimized out>
        __func__ = {<optimized out> <repeats 16 times>}
#12 callback_idle (user_data=user_data@entry=0x5573986194b0) at ../src/backends/native/meta-kms.c:370
        kms = 0x5573986194b0
#13 0x00007f48a683a5fb in g_idle_dispatch (source=0x55739b448fa0, callback=0x7f48a5cd52c0 <callback_idle>, 
    user_data=0x5573986194b0) at ../glib/gmain.c:5848
        again = <optimized out>
#14 0x00007f48a683e377 in g_main_dispatch (context=0x5573985a2480) at ../glib/gmain.c:3337
        dispatch = 0x7f48a683a5e0 <g_idle_dispatch>
        prev_source = 0x0
        begin_time_nsec = 135478932332
        was_in_call = <optimized out>
        user_data = 0x5573986194b0
        callback = 0x7f48a5cd52c0 <callback_idle>
        cb_funcs = 0x7f48a69213a0 <g_source_callback_funcs>
        cb_data = 0x557399c44d30
        need_destroy = <optimized out>
        source = 0x55739b448fa0
        current = 0x5573985e1840
        i = 3
        __func__ = {<optimized out> <repeats 16 times>}
#15 g_main_context_dispatch (context=0x5573985a2480) at ../glib/gmain.c:4055
No locals.
#16 0x00007f48a68922c8 in g_main_context_iterate.constprop.0 (context=0x5573985a2480, block=block@entry=1, 
    dispatch=dispatch@entry=1, self=<optimized out>) at ../glib/gmain.c:4131
        max_priority = 200
        timeout = 0
        some_ready = 1
--Type <RET> for more, q to quit, c to continue without paging--
        nfds = 15
        allocated_nfds = 17
        fds = <optimized out>
        begin_time_nsec = 135476158776
#17 0x00007f48a683d943 in g_main_loop_run (loop=0x557398ac7f50) at ../glib/gmain.c:4329
        self = <optimized out>
        __func__ = "g_main_loop_run"
#18 0x00007f48a5c47640 in meta_run_main_loop () at ../src/core/main.c:928
No locals.
#19 0x00007f48a5c4f7e2 in meta_run () at ../src/core/main.c:943
No locals.
#20 0x0000557396e40ca6 in main (argc=<optimized out>, argv=<optimized out>) at ../src/main.c:504
        ctx = <optimized out>
        error = 0x0
        ecode = <optimized out>

Comment 5 Jonas Ådahl 2021-03-23 10:58:56 UTC
Thanks, that's a different one.

Comment 6 Jonas Ådahl 2021-03-23 11:00:06 UTC
Can you add 

export MUTTER_DEBUG=kms

into /etc/environment, reboot, reproduce, and attach the output of

journalctl _PID=<pid-of-crashed-gnome-shell>

here (as an attachment, it'll be a lot)?

Comment 7 pzeppegno 2021-03-23 11:48:36 UTC
Created attachment 1765504 [details]
journalctl -b _PID=1380 > for-jonas.txt

As per your request.

Comment 8 pzeppegno 2021-03-23 11:57:54 UTC
By the way, the crash is here:

https://retrace.fedoraproject.org/faf/reports/97207/

Comment 9 pzeppegno 2021-03-23 12:20:46 UTC
Created attachment 1765511 [details]
journalctl -b -1 _PID=2005 > for-jonas2.txt

I actually realized that there's a second and more relevant run of gnome-shell and it's in the second attachment.

Sorry for the noise..

Comment 10 Jonas Ådahl 2021-03-23 12:50:22 UTC
Seems to be related to hybrid graphics; am I correct that you have a laptop with an integrated Intel GPU driving the display panel, and a dedicated nvidia GPU driving the HDMI ports?

I will try to reproduce or at least replicate the issue on a similar hardware setup I have here.

Comment 11 pzeppegno 2021-03-23 13:49:12 UTC
yes, that's correct. It's a dell latitude e6420, and it's currently connected also to an external monitor.

Comment 12 Jonas Ådahl 2021-03-23 19:57:48 UTC
Does suspending and resuming work when the external monitor is not connected?

Also, could you attach the output of `journalctl -kf` from before suspending, until after it crashes?

Comment 13 pzeppegno 2021-03-23 22:04:44 UTC
Disconnecting the external monitor cures the issue. It goes back to the password prompt and normally resumes the session.

I captured two sequences with journactl, the last one is this:

Mar 23 22:54:10 zot kernel: rfkill: input handler disabled
Mar 23 22:55:35 zot kernel: ACPI: \_SB_.PCI0.PEG0.VID_: failed to evaluate _DSM
Mar 23 22:55:42 zot kernel: nouveau 0000:01:00.0: Enabling HDA controller
Mar 23 22:55:44 zot kernel: rfkill: input handler enabled

I think it crashed after the "Enabling HDA controller" line.

Previously I got a different situation instead:

Mar 23 22:47:22 zot kernel: ACPI: \_SB_.PCI0.PEG0.VID_: failed to evaluate _DSM
Mar 23 22:48:29 zot kernel: nouveau 0000:01:00.0: Enabling HDA controller
Mar 23 22:48:29 zot kernel: show_signal_msg: 100 callbacks suppressed
Mar 23 22:48:29 zot kernel: gnome-shell[2021]: segfault at 280 ip 00007f6cabaefc2b sp 00007fff72f799e8 error 4 in libc-2.33.so[7f6caba6c000+14d000]
Mar 23 22:48:29 zot kernel: Code: 0f 1e fa 48 39 d1 0f 82 83 4c 06 00 0f 1f 00 f3 0f 1e fa 48 89 f8 48 83 fa 10 0f 82 1a 01 00 00 48 83 fa 20 0f 8>
Mar 23 22:48:31 zot kernel: rfkill: input handler enabled


Not sure why. The ACPI messages are pretty normal. I've had them for a very long time and never created trouble apart for the noise.

Comment 14 pzeppegno 2021-03-24 09:39:16 UTC
For your information. Unchecking optimus support in the bios also cures the issue on this laptop.

Comment 15 Jonas Ådahl 2021-03-24 10:33:28 UTC
So it looks like the gbm_surface/EGLSurface of the Intel GPU misbehaves after you resume. Could you run

    echo 0x16 | sudo tee /sys/module/drm/parameters/debug

then suspend, and resume?

Comment 16 pzeppegno 2021-03-24 20:42:22 UTC
Created attachment 1766062 [details]
journalctl -kb > for-jonas3.txt

after echo 0x16 | sudo tee /sys/module/drm/parameters/debug

Do you you want the whole log instead?

Comment 17 Jonas Ådahl 2021-03-24 20:44:52 UTC
Thanks!

> Do you you want the whole log instead?

That's alright, I'll ask again if I need any more data.

Comment 18 Jonas Ådahl 2021-03-25 17:47:30 UTC
So I think I found the issue; a missed case related to EGL context management that could only happen in certain situations when the hw accelerated iGPU -> dGPU happened in combinatino with mode setting.

Would you mind giving https://koji.fedoraproject.org/koji/taskinfo?taskID=64589593 a try? With that, I can no longer reproduce the issue.

Comment 19 Fedora Blocker Bugs Application 2021-03-25 17:49:49 UTC
Proposed as a Blocker for 34-final by Fedora user jadahl using the blocker tracking app because:

 When having an external monitor connected to a hybrid graphics laptop, the session reliably crashes when resuming from sleep.

Comment 20 pzeppegno 2021-03-25 18:28:05 UTC
It seems it has fixed the problem also for me. I'm running it now and I haven't been able to crash the session with optimus enabled by locking the display manually or waiting for the timeout to kick in.

Thanks very much. I wish all bugs I find were fixed this quickly :-)

Comment 21 pzeppegno 2021-03-25 19:43:43 UTC
Well... but... my kernel log is full of nouveau messages now. Can this be related to the fixed mutter? Added one more attachment..

Comment 22 pzeppegno 2021-03-25 19:45:53 UTC
Created attachment 1766405 [details]
journalctl -kb > for-jonas4.txt

The warnings were not there before.. but I'm now also running on 5.11.9-300.fc34.x86_64. Maybe that's the difference.

Comment 23 Jonas Ådahl 2021-03-25 19:59:49 UTC
Do they only start to happen after resuming? Could be something that was "hidden" by the fact that gnome-shell crashed before it got the chance. In any case, it's likely not related to the issue fixed by that build, that avoids the Intel side of things getting confused.

Comment 24 pzeppegno 2021-03-25 21:03:57 UTC
Not sure whether they start after resuming. What it seems to me is that where I used to have:

Mar 25 19:52:50 zot kernel: ACPI: \_SB_.PCI0.PEG0.VID_: failed to evaluate _DSM
Mar 25 19:53:00 zot kernel: nouveau 0000:01:00.0: Enabling HDA controller

I now have:

Mar 25 19:52:50 zot kernel: ACPI: \_SB_.PCI0.PEG0.VID_: failed to evaluate _DSM
Mar 25 19:53:00 zot kernel: nouveau 0000:01:00.0: Enabling HDA controller
Mar 25 19:53:00 zot kernel: ------------[ cut here ]------------
Mar 25 19:53:00 zot kernel: WARNING: CPU: 0 PID: 2017 at drivers/gpu/drm/ttm/ttm_bo.c:517 ttm_bo_release+0x2ea/0x340 [ttm]
Mar 25 19:53:00 zot kernel: Modules linked in: uinput snd_seq_dummy rfcomm snd_hrtimer rpcsec_gss_krb5 auth_rpcgss nfsv4 dns_resolver nfs lockd grace>
Mar 25 19:53:00 zot kernel:  snd_hda_codec fat libarc4 snd_hda_core iwlwifi ac97_bus videobuf2_vmalloc snd_hwdep videobuf2_memops snd_seq irqbypass s>
Mar 25 19:53:00 zot kernel: CPU: 0 PID: 2017 Comm: gnome-shell Not tainted 5.11.9-300.fc34.x86_64 #1
Mar 25 19:53:00 zot kernel: Hardware name: Dell Inc. Latitude E6420/032T9K, BIOS A25 03/06/2018
Mar 25 19:53:00 zot kernel: RIP: 0010:ttm_bo_release+0x2ea/0x340 [ttm]
Mar 25 19:53:00 zot kernel: Code: ff ff 49 8b 7f 88 b9 30 75 00 00 31 d2 be 01 00 00 00 e8 89 4b 42 f9 49 8b 47 d8 eb 9e 48 c7 04 24 28 eb 3e c0 48 8>
Mar 25 19:53:00 zot kernel: RSP: 0018:ffffb4f502867a38 EFLAGS: 00010202
Mar 25 19:53:00 zot kernel: RAX: 0000000000000001 RBX: 0000000000000000 RCX: 0000000000000006
Mar 25 19:53:00 zot kernel: RDX: 0000000000000001 RSI: 0000000000000004 RDI: ffffffffc03eeb28
Mar 25 19:53:00 zot kernel: RBP: ffff97cc00ebe6d0 R08: ffff97cc5e89e458 R09: ffff97cc00ebe3a8
Mar 25 19:53:00 zot kernel: R10: ffff97cc5e89e960 R11: ffff97cc00ebe520 R12: 0000000000000000
Mar 25 19:53:00 zot kernel: R13: ffff97cd447015e0 R14: ffff97cd44701400 R15: ffff97cd44701570
Mar 25 19:53:00 zot kernel: FS:  00007fdbed9d5d80(0000) GS:ffff97cf2da00000(0000) knlGS:0000000000000000
Mar 25 19:53:00 zot kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Mar 25 19:53:00 zot kernel: CR2: 00007fcac75a6930 CR3: 0000000103d68005 CR4: 00000000000606f0
Mar 25 19:53:00 zot kernel: Call Trace:
Mar 25 19:53:00 zot kernel:  ttm_bo_move_accel_cleanup+0x1c5/0x3c0 [ttm]
Mar 25 19:53:00 zot kernel:  nouveau_bo_move+0x665/0x9b0 [nouveau]
Mar 25 19:53:00 zot kernel:  ? _cond_resched+0x16/0x40
Mar 25 19:53:00 zot kernel:  ? down_write+0xe/0x40
Mar 25 19:53:00 zot kernel:  ? unmap_mapping_pages+0x77/0x100
Mar 25 19:53:00 zot kernel:  ttm_bo_handle_move_mem+0x90/0x180 [ttm]
Mar 25 19:53:00 zot kernel:  ttm_bo_validate+0x11b/0x150 [ttm]
Mar 25 19:53:00 zot kernel:  nouveau_bo_validate+0x40/0x60 [nouveau]
Mar 25 19:53:00 zot kernel:  nouveau_gem_ioctl_pushbuf+0x6ab/0x1270 [nouveau]
Mar 25 19:53:00 zot kernel:  ? nouveau_gem_ioctl_new+0xe0/0xe0 [nouveau]
Mar 25 19:53:00 zot kernel:  drm_ioctl_kernel+0x86/0xd0 [drm]
Mar 25 19:53:00 zot kernel:  drm_ioctl+0x20f/0x3c0 [drm]
Mar 25 19:53:00 zot kernel:  ? nouveau_gem_ioctl_new+0xe0/0xe0 [nouveau]
Mar 25 19:53:00 zot kernel:  nouveau_drm_ioctl+0x55/0xa0 [nouveau]
Mar 25 19:53:00 zot kernel:  __x64_sys_ioctl+0x82/0xb0
Mar 25 19:53:00 zot kernel:  do_syscall_64+0x33/0x40
Mar 25 19:53:00 zot kernel:  entry_SYSCALL_64_after_hwframe+0x44/0xa9
Mar 25 19:53:00 zot kernel: RIP: 0033:0x7fdbf1b434eb
Mar 25 19:53:00 zot kernel: Code: ff ff ff 85 c0 79 9b 49 c7 c4 ff ff ff ff 5b 5d 4c 89 e0 41 5c c3 66 0f 1f 84 00 00 00 00 00 f3 0f 1e fa b8 10 00 0>
Mar 25 19:53:00 zot kernel: RSP: 002b:00007ffcf8618398 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
Mar 25 19:53:00 zot kernel: RAX: ffffffffffffffda RBX: 00007ffcf8618400 RCX: 00007fdbf1b434eb
Mar 25 19:53:00 zot kernel: RDX: 00007ffcf8618400 RSI: 00000000c0406481 RDI: 000000000000000f
Mar 25 19:53:00 zot kernel: RBP: 00000000c0406481 R08: 0000000000000000 R09: 000055ac98cbc558
Mar 25 19:53:00 zot kernel: R10: 0000000000000438 R11: 0000000000000246 R12: 000055ac98cb5558
Mar 25 19:53:00 zot kernel: R13: 000000000000000f R14: 000055ac98ca5800 R15: 000055ac98ca4c80
Mar 25 19:53:00 zot kernel: ---[ end trace 212e9703b0f7c96c ]---

Comment 25 Jonas Ådahl 2021-03-25 21:08:39 UTC
For the kernel backtraces related to nouveau, I suggest opening a new bug on the kernel component and/or on https://gitlab.freedesktop.org/drm/nouveau

Comment 26 pzeppegno 2021-03-25 21:46:00 UTC
Well, I booted 5.11.8 and it seems that the new message is not there. So strangely enough it seems the issues come from the new 5.11.9 kernel. Weird.

Comment 27 Dr. David Alan Gilbert 2021-03-27 12:43:56 UTC
(In reply to pzeppegno from comment #26)
> Well, I booted 5.11.8 and it seems that the new message is not there. So
> strangely enough it seems the issues come from the new 5.11.9 kernel. Weird.

I don't think that's Nouveau specific; I've just booted into 5.11.90399.fc34 on my Radeon box and I'm seeing what looks like the same thing:

[    8.396185] ------------[ cut here ]------------
[    8.396188] WARNING: CPU: 31 PID: 1622 at drivers/gpu/drm/ttm/ttm_bo.c:517 ttm_bo_release+0x2ea/0x340 [ttm]
[    8.396197] Modules linked in: nft_counter bridge stp llc nft_fib_inet nft_fib_ipv4 nft_fib_ipv6 nft_fib nft_reject_inet nf_reject_ipv4 nf_reject_ipv6 nft_reject nft_ct nft_chain_nat nf_nat nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 rfkill ip_set nf_tables nfnetlink nct6775 hwmon_vid sunrpc vfat fat xfs snd_hda_codec_realtek intel_rapl_msr snd_hda_codec_generic ledtrig_audio snd_hda_codec_hdmi snd_hda_intel snd_intel_dspcfg soundwire_intel soundwire_generic_allocation snd_soc_core snd_compress snd_pcm_dmaengine intel_rapl_common soundwire_cadence snd_hda_codec edac_mce_amd snd_hda_core ac97_bus snd_hwdep kvm_amd snd_seq snd_seq_device kvm snd_pcm irqbypass snd_timer pcspkr wmi_bmof sp5100_tco rapl snd k10temp soundcore i2c_piix4 acpi_cpufreq zram ip_tables raid1 dm_raid raid456 async_raid6_recov async_memcpy async_pq async_xor async_tx amdgpu drm_ttm_helper ttm iommu_v2 gpu_sched drm_kms_helper cec crct10dif_pclmul crc32_pclmul drm uas crc32c_intel igb ghash_clmulni_intel usb_storage
[    8.396226]  ccp nvme serio_raw nvme_core dca i2c_algo_bit wmi pinctrl_amd fuse
[    8.396231] CPU: 31 PID: 1622 Comm: Xorg Not tainted 5.11.9-300.fc34.x86_64 #1
[    8.396233] Hardware name: To Be Filled By O.E.M. To Be Filled By O.E.M./X570 Pro4, BIOS P3.10 07/13/2020
[    8.396234] RIP: 0010:ttm_bo_release+0x2ea/0x340 [ttm]
[    8.396238] Code: ff ff 49 8b 7f 88 b9 30 75 00 00 31 d2 be 01 00 00 00 e8 89 db 50 cc 49 8b 47 d8 eb 9e 48 c7 04 24 28 5b 30 c0 48 89 e8 eb 91 <0f> 0b 41 c7 87 9c 00 00 00 00 00 00 00 4c 89 f7 e8 f1 f7 ff ff 49
[    8.396240] RSP: 0000:ffffa59902eafbc0 EFLAGS: 00010202
[    8.396241] RAX: 0000000000000001 RBX: 0000000000000000 RCX: 0000000000000007
[    8.396242] RDX: 0000000000000001 RSI: 0000000000000246 RDI: ffffffffc0305b28
[    8.396243] RBP: ffff90a6892255b8 R08: ffff90a68abcedf8 R09: ffff90a68abcedc0
[    8.396244] R10: ffffffffc0597510 R11: ffffa59902eafc88 R12: 0000000000000000
[    8.396245] R13: ffff90a6859ab9e0 R14: ffff90a6859ab800 R15: ffff90a6859ab970
[    8.396246] FS:  00007f0f1dd51a80(0000) GS:ffff90ad8f1c0000(0000) knlGS:0000000000000000
[    8.396247] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[    8.396248] CR2: 00007f0f0c3f9200 CR3: 000000012a67a000 CR4: 0000000000350ee0
[    8.396249] Call Trace:
[    8.396252]  ttm_bo_move_accel_cleanup+0x1c5/0x3c0 [ttm]
[    8.396257]  amdgpu_bo_move+0x15b/0x6c0 [amdgpu]
[    8.396353]  ttm_bo_handle_move_mem+0x90/0x180 [ttm]
[    8.396357]  ttm_bo_validate+0x11b/0x150 [ttm]
[    8.396360]  amdgpu_bo_fault_reserve_notify+0xb4/0x140 [amdgpu]
[    8.396446]  amdgpu_ttm_fault+0x36/0x80 [amdgpu]
[    8.396530]  __do_fault+0x36/0x100
[    8.396534]  handle_mm_fault+0x11d3/0x1970
[    8.396536]  do_user_addr_fault+0x19f/0x480
[    8.396538]  ? __do_sys_brk+0x162/0x290
[    8.396540]  exc_page_fault+0x67/0x150
[    8.396543]  ? asm_exc_page_fault+0x8/0x30
[    8.396545]  asm_exc_page_fault+0x1e/0x30
[    8.396546] RIP: 0033:0x7f0f1e607b57
[    8.396548] Code: fe 6f 06 c5 fe 6f 4e 20 c5 fe 6f 56 40 c5 fe 6f 5e 60 c5 fe 6f 64 16 e0 c5 fe 6f 6c 16 c0 c5 fe 6f 74 16 a0 c5 fe 6f 7c 16 80 <c5> fe 7f 07 c5 fe 7f 4f 20 c5 fe 7f 57 40 c5 fe 7f 5f 60 c5 fe 7f
[    8.396549] RSP: 002b:00007ffc4191fc78 EFLAGS: 00010206
[    8.396550] RAX: 00007f0f0c3f9200 RBX: 00000000000000f8 RCX: 0000000000000000
[    8.396551] RDX: 00000000000000f8 RSI: 000055cb20cba5e4 RDI: 00007f0f0c3f9200
[    8.396552] RBP: 000055cb20cb3780 R08: 000055cb20cf92d0 R09: 00007f0f1e667a60
[    8.396552] R10: 000000000000007c R11: 0000000000001608 R12: 000055cb20cba5e4
[    8.396553] R13: 00007f0f1ccd0000 R14: 000055cb20cb3780 R15: 0000000000000000
[    8.396555] ---[ end trace 7a40328918212b9c ]---

Comment 28 Dr. David Alan Gilbert 2021-03-27 12:51:51 UTC
I filed it as:
https://gitlab.freedesktop.org/drm/misc/-/issues/24

and referenced comment 24 for it being Nvidia as well.

Comment 29 Dr. David Alan Gilbert 2021-03-27 14:36:21 UTC
and it looks like that kernel message is fixed for me in 5.11.10-300.fc34.x86_64

Comment 30 pzeppegno 2021-03-28 20:51:25 UTC
Just for my information, has the fix been pushed to f34 updates-testing? 'Cause I have not the official mutter-40.0-2.fc34.x86_64 and I see again the issue with the display blanking.

Comment 31 Fedora Update System 2021-03-29 07:57:52 UTC
FEDORA-2021-315f58da0b has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-315f58da0b

Comment 32 Jonas Ådahl 2021-03-29 07:58:33 UTC
(In reply to pzeppegno from comment #30)
> Just for my information, has the fix been pushed to f34 updates-testing?
> 'Cause I have not the official mutter-40.0-2.fc34.x86_64 and I see again the
> issue with the display blanking.

Hadn't but just created an update for it (as you can see).

Comment 33 Geoffrey Marr 2021-03-29 18:34:09 UTC
Discussed during the 2021-03-29 blocker review meeting: [0]

The decision to delay the classification of this as this seems quite configuration specific (appears to happen when there are two displays driven by different adapters), but there is some interest in writing a criterion that may cover this case, so we are punting for that discussion to happen. Note that the bug will likely be closed in any case as a fix has been submitted.

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2021-03-29/f34-blocker-review.2021-03-29-16.00.txt

Comment 34 Fedora Update System 2021-03-30 14:37:24 UTC
FEDORA-2021-315f58da0b has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-315f58da0b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-315f58da0b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 35 Fedora Update System 2021-04-01 00:52:14 UTC
FEDORA-2021-406f832fe7 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.